# __gnu_cxx::_Mutable_ReversibleContainerConcept< _ReversibleContainer > Struct Template Reference

List of all members.

## Detailed Description

### template<class _ReversibleContainer>
struct __gnu_cxx::_Mutable_ReversibleContainerConcept< _ReversibleContainer >

Definition at line 652 of file boost_concept_check.h.

## Public Types

- typedef _ReversibleContainer::iterator _Iterator
- typedef _ReversibleContainer::reverse_iterator _Reverse_iterator

## Public Member Functions

- void __constraints ()

## Public Attributes

- _ReversibleContainer __c

The documentation for this struct was generated from the following file:

- boost_concept_check.h